# snd_seq_ev_queue_control_t Struct Reference
[Sequencer Event Definitions]

## Data Fields

unsigned char | queue
unsigned char | unused [3]
union {
signed int value
snd_seq_timestamp_t time
unsigned int position
snd_seq_queue_skew_t skew
unsigned int d32 [2]
unsigned char d8 [8]
} | param

## Detailed Description

queue timer control

## Field Documentation

unsigned int snd_seq_ev_queue_control_t::d32[2]

any data

unsigned char snd_seq_ev_queue_control_t::d8[8]

any data

union { ... } snd_seq_ev_queue_control_t::param

data value union

unsigned int snd_seq_ev_queue_control_t::position

sync position

unsigned char snd_seq_ev_queue_control_t::queue

affected queue

snd_seq_queue_skew_t snd_seq_ev_queue_control_t::skew

queue skew

snd_seq_timestamp_t snd_seq_ev_queue_control_t::time

time

unsigned char snd_seq_ev_queue_control_t::unused[3]

reserved

signed int snd_seq_ev_queue_control_t::value

affected value (e.g. tempo)

The documentation for this struct was generated from the following file:

- /builddir/build/BUILD/alsa-lib-1.1.0/include/seq_event.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines